## pymupdf 1.21.1+ds1

=== docs/requirements.txt ===
docutils<0.16
rst2pdf

## pymupdf 1.16.11

=== debian/changelog ===
pymupdf (1.16.11-1) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * New upstream version 1.16.11 (closes: #950639)
  * Bump Standards-Version to 4.5.0
  * add debian/salsa-ci.yml
  * debian/control: b-d on libpython3-all-dev instead of libpython3-dev
  * debian/copyright: remove unused files from Files-Excluded
  * add autopkgtest
  * add patch fiximport
  * debian/control: add Rules-Requires-Root: no
  * debian/tests/control: chdir to / to not use fitz module from unpacked
    sources
  * add debian/python3-fitz.lintian-overrides
  * debian/watch: add repacksuffix
  * debian/watch: don't run uupdate

  [ Bastian Germann ]
  * Drop non-existing examples
  * Exclude 1.16.11 files
  * Add docs patch

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 23 Feb 2020 21:05:36 +0100

pymupdf (1.14.16-1) unstable; urgency=medium

  * Initial release. (Closes: #930761)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 22 Jun 2019 04:02:32 +0200

=== debian/control ===
Source: pymupdf
Section: python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Johannes 'josch' Schauer <josch@debian.org>
Homepage: https://github.com/pymupdf/PyMuPDF
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymupdf
Vcs-Git: https://salsa.debian.org/python-team/modules/pymupdf.git
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all, libpython3-all-dev, libmupdf-dev (>= 1.16.1), libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev, libopenjp2-7-dev, libharfbuzz-dev, swig
Rules-Requires-Root: no

Package: python3-fitz
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python binding for MuPDF
 Allows one to access files in PDF, XPS, OpenXPS, CBZ, EPUB, and FB2 (e-books)
 formats, and it is known for its top performance and high rendering quality.
 .
 PDF manipulation and generation functions are available, including metadata
 and bookmark maintenance, document restructuring, annotation / link handling
 and document or page creation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=pybuild --with python3

## pymupdf 1.17.4%2Bds1

=== debian/changelog ===
pymupdf (1.17.4+ds1-2) unstable; urgency=medium

  * Team upload

  [ Nicholas D Steeves ]
  * Mention PyMuPDF in long description so that a user who 'apt search
    pymupdf' will discover this package.

  [ Bastian Germann ]
  * Fix imports and shared libs for non-Linux platforms
  * Clean generated files

  [ Sergio Durigan Junior ]
  * d/control: Bump debhelper-compat to 13.
  * d/control: Remove duplicate field "Priority" from python3-fitz.

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 23 Aug 2020 21:15:38 +0200

pymupdf (1.17.4+ds1-1) unstable; urgency=medium

  * Team upload
  * Use debhelper provided python3:Provides
  * Set Built-Using according to Policy 7.8 (Closes: #959958)
  * Update upstream copyright info
  * New upstream version 1.17.4+ds1
  * Refresh docs patch
  * Let dependency fit the new mupdf version
  * Add build dependency libmujs-dev
  * Add mujs to libs patch

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 07 Aug 2020 13:03:11 +0200

## pymupdf 1.17.4+ds1

=== debian/control ===
Source: pymupdf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Johannes 'josch' Schauer <josch@debian.org>
Homepage: https://github.com/pymupdf/PyMuPDF
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymupdf
Vcs-Git: https://salsa.debian.org/python-team/modules/pymupdf.git
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, libpython3-all-dev, libmupdf-dev (>= 1.17.0), libmujs-dev, libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev, libopenjp2-7-dev, libharfbuzz-dev, swig
Rules-Requires-Root: no

Package: python3-fitz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Built-Using: ${Built-Using}
Description: Python binding for MuPDF
 Allows one to access files in PDF, XPS, OpenXPS, CBZ, EPUB, and FB2 (e-books)
 formats, and it is known for its top performance and high rendering quality.
 .
 PDF manipulation and generation functions are available, including metadata
 and bookmark maintenance, document restructuring, annotation / link handling
 and document or page creation.
 .
 This package contains PyMuPDF.

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+override_dh_gencontrol:
+	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libmupdf-dev)"
+
 %:
 	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: env --chdir=/ python3 -c "import fitz"
Restrictions: allow-stderr
Depends: python3-fitz
Features: test-name=python3-fitz

## pymupdf 1.19.2+ds1

=== debian/changelog ===
pymupdf (1.19.2+ds1-1ubuntu1) jammy; urgency=medium

  * Link shared library with additional libs, as in Debian

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 13:07:35 +0000

pymupdf (1.19.2+ds1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:42:05 +0000

pymupdf (1.19.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.19.2+ds1
  * Drop upstream patch: Link shared library with additional libs

 -- Bastian Germann <bage@debian.org>  Sat, 27 Nov 2021 13:39:24 +0100

pymupdf (1.19.1+ds1-2) unstable; urgency=medium

  * Team upload
  * Add gumbo build dependency

 -- Bastian Germann <bage@debian.org>  Sat, 30 Oct 2021 12:25:54 +0200

pymupdf (1.19.1+ds1-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

  [ Bastian Germann ]
  * autopkgtest: Mark superficial (Closes: #970964)
  * New upstream version 1.19.1+ds1
  * d/copyright: license change to AGPL
  * Rebase patches

 -- Bastian Germann <bage@debian.org>  Sat, 30 Oct 2021 10:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: pymupdf
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Homepage: https://github.com/pymupdf/PyMuPDF
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pymupdf
-Vcs-Git: https://salsa.debian.org/python-team/modules/pymupdf.git
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, libpython3-all-dev, libmupdf-dev (>= 1.17.0), libmujs-dev, libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev, libopenjp2-7-dev, libharfbuzz-dev, swig
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pymupdf
+Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
+ python3-all, libpython3-all-dev, libmupdf-dev (>= 1.19), libmujs-dev,
+ libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev,
+ libopenjp2-7-dev, libharfbuzz-dev, swig, libgumbo-dev
 Rules-Requires-Root: no
 
 Package: python3-fitz

=== debian/tests/control ===
Test-Command: env --chdir=/ python3 -c "import fitz"
Restrictions: allow-stderr, superficial
Depends: python3-fitz
Features: test-name=python3-fitz

## pymupdf 1.20.1+ds1

=== debian/changelog ===
pymupdf (1.20.1+ds1-1) unstable; urgency=medium

  * Allow crossbuilding by fixing build deps
  * Add bage's copyright
  * New upstream version 1.20.1+ds1
  * Raise libmupdf-dev dep version
  * Make new version build (new env var, patch rebase)
  * Add new version's copyright

 -- Bastian Germann <bage@debian.org>  Fri, 01 Jul 2022 00:28:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pymupdf
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Homepage: https://github.com/pymupdf/PyMuPDF
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymupdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
- python3-all, libpython3-all-dev, libmupdf-dev (>= 1.19), libmujs-dev,
+ python3-all-dev:any, libmupdf-dev (>= 1.20), libmujs-dev,
  libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev,
  libopenjp2-7-dev, libharfbuzz-dev, swig, libgumbo-dev
 Rules-Requires-Root: no

## pymupdf 1.21.1+ds1

=== debian/changelog ===
pymupdf (1.21.1+ds1-1) unstable; urgency=medium

  * New upstream version 1.21.1
  * Rebase patches (dropping an upstream one)

 -- Bastian Germann <bage@debian.org>  Thu, 15 Dec 2022 21:22:02 +0100

pymupdf (1.21.0+ds1-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: Missig Build-Depends: libpython3-all-dev (Closes: #1021037)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 21:38:56 +0000

pymupdf (1.21.0+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.0+ds1
  * Patch: Set unix_build_type for unconditional use

 -- Bastian Germann <bage@debian.org>  Tue, 08 Nov 2022 21:28:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
- python3-all-dev:any, libmupdf-dev (>= 1.20), libmujs-dev,
+ python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.21), libmujs-dev,
  libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev,
  libopenjp2-7-dev, libharfbuzz-dev, swig, libgumbo-dev
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export PYMUPDF_SETUP_MUPDF_BUILD=
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## pymupdf 1.22.5+ds1

=== debian/changelog ===
pymupdf (1.22.5+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.5+ds1 (Closes: #1038758)
  * Drop build fix for non-Linux platforms

 -- Bastian Germann <bage@debian.org>  Thu, 29 Jun 2023 01:14:36 +0200

## pymupdf 1.23.7+ds1

=== docs/requirements.txt ===
rst2pdf

# define sphinx versioning
sphinx==5.3.0
furo
readthedocs-sphinx-search==0.1.1

=== debian/changelog ===
pymupdf (1.23.7+ds1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:03:23 +0000

pymupdf (1.23.7+ds1-1ubuntu1) noble; urgency=medium

  * Remove prototype that now clashes with version in mupdf's headers.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 14:23:27 +1300

pymupdf (1.23.7+ds1-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:19:57 +0100

pymupdf (1.23.7+ds1-1) unstable; urgency=medium

  * Team upload
  * Clean helper-git-versions.i (Closes: #1046144)
  * New upstream version 1.23.7+ds1 (Closes: #1057402)
  * Make sure the package builds with the new build system

 -- Bastian Germann <bage@debian.org>  Sat, 16 Dec 2023 19:43:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: pymupdf
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Homepage: https://github.com/pymupdf/PyMuPDF
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymupdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
- python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.21), libmujs-dev,
- libjbig2dec-dev, libjpeg-dev, libfreetype6-dev, libpng-dev,
+Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject,
+ python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.23), libmujs-dev,
+ libjbig2dec-dev, libjpeg-dev, libfreetype-dev, libpng-dev,
  libopenjp2-7-dev, libharfbuzz-dev, swig, libgumbo-dev
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
 export PYMUPDF_SETUP_MUPDF_BUILD=
+export PYMUPDF_SETUP_IMPLEMENTATIONS=a
+export PYMUPDF_INCLUDES=/usr/include:/usr/include/mupdf:/usr/include/freetype2
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+export LDFLAGS+=-lmupdf -lmupdf-third -ljbig2dec -lopenjp2 -ljpeg -lfreetype -lgumbo -lharfbuzz -lpng16 -lmujs
 
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libmupdf-dev)"

## pymupdf 1.24.2+ds1

=== debian/changelog ===
pymupdf (1.24.2+ds1-3) unstable; urgency=medium

  * Team upload
  * Make pymupdf run with fitz_old (Closes: #1075969)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Jul 2024 21:19:20 +0200

pymupdf (1.24.2+ds1-2) unstable; urgency=medium

  * Team upload
  * Revert "Link with shared mupdf library"

 -- Bastian Germann <bage@debian.org>  Tue, 25 Jun 2024 18:32:32 +0200

pymupdf (1.24.2+ds1-1) experimental; urgency=medium

  * Team upload
  * Link with shared mupdf library

  [ Bo YU ]
  * New upstream version 1.24.2+ds1 (Closes: #1064772)
  * Rebase debian/patch
  * Update spelling-error-in-binary lintian for binary package
  * Update debian/copyright
  * Set std-ver to 4.7.0
  * Add upstream-metadata-missing-repository

 -- Bastian Germann <bage@debian.org>  Sat, 25 May 2024 12:58:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pymupdf
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Johannes 'josch' Schauer <josch@debian.org>
 Homepage: https://github.com/pymupdf/PyMuPDF
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymupdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject,
  python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.23), libmujs-dev,
  libjbig2dec-dev, libjpeg-dev, libfreetype-dev, libpng-dev,

=== debian/tests/control ===
Test-Command: env --chdir=/ python3 -c "import fitz_old"
Restrictions: allow-stderr, superficial
Depends: python3-fitz
Features: test-name=python3-fitz

## pymupdf 1.25.0%2Bds1

=== debian/control ===
Source: pymupdf
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Homepage: https://github.com/pymupdf/PyMuPDF
Vcs-Browser: https://salsa.debian.org/python-team/packages/pymupdf
Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject,
 python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.25),
 swig, python3-mupdf
Rules-Requires-Root: no

Package: python3-fitz
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pymupdf (>= ${source:Version})
Description: Python binding for MuPDF (forward compatibility name)
 Allows one to access files in PDF, XPS, OpenXPS, CBZ, EPUB, and FB2 (e-books)
 formats, and it is known for its top performance and high rendering quality.
 .
 PDF manipulation and generation functions are available, including metadata
 and bookmark maintenance, document restructuring, annotation / link handling
 and document or page creation.
 .
 Provides a Python module fitz, which is PyMuPDF's old module name.

Package: python3-pymupdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-mupdf
Description: Python binding for MuPDF
 Allows one to access files in PDF, XPS, OpenXPS, CBZ, EPUB, and FB2 (e-books)
 formats, and it is known for its top performance and high rendering quality.
 .
 PDF manipulation and generation functions are available, including metadata
 and bookmark maintenance, document restructuring, annotation / link handling
 and document or page creation.
 .
 This package contains PyMuPDF.

## pymupdf 1.25.0+ds1

=== debian/changelog ===
pymupdf (1.25.0+ds1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:23:10 +0000

pymupdf (1.25.0+ds1-2) unstable; urgency=medium

  * Team upload
  * Move to unstable (Closes: #1092613)

 -- Bastian Germann <bage@debian.org>  Tue, 14 Jan 2025 20:07:18 +0100

pymupdf (1.25.0+ds1-1) experimental; urgency=medium

  * Team upload
  * Add binary package python3-pymupdf

  [ Daniel Echeverri ]
  * New upstream release (Closes: #1081712)
  * debian/control
    + Update to libmupdf-dev >= 1.25
    + Add python3-mupdf and python3-sphinx in B-D
  * debian/patches
    + Refresh docs patch
    + Remove fitz_old.patch because fitz_old was remove in 1.24.3
  * debian/tests/control
    +  Update test to import fitz instead fitz_old
  * debian/python3-fitz.lintian-overrides
    + remove unused lintian override
  * debian/tests
    + Add pytests file
  * debian/copyright
    + Add myself in debian copyright
  * Update d/clean file

 -- Bastian Germann <bage@debian.org>  Wed, 08 Jan 2025 21:09:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYMUPDF_SETUP_MUPDF_BUILD=
export PYMUPDF_SETUP_FLAVOUR=p
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: env --chdir=/ python3 -c "import fitz"
Restrictions: allow-stderr, superficial
Depends: python3-fitz,python3-mupdf
Features: test-name=python3-fitz

Tests: pytests
Restrictions: allow-stderr
Depends: python3-fitz,python3-all,python3-pytest,python3-mupdf,python3-psutil

## pymupdf 1.25.4+ds1

=== docs/requirements.txt ===
rst2pdf

# define sphinx versioning
sphinx==5.3.0
furo
readthedocs-sphinx-search==0.3.2
sphinx_copybutton
sphinx-notfound-page
sphinxcontrib-googleanalytics

=== debian/changelog ===
pymupdf (1.25.4+ds1-4build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:58:06 +0000

pymupdf (1.25.4+ds1-4) unstable; urgency=medium

  * Team upload
  * Disable test_deletion test (Closes: #1110807)

 -- Bastian Germann <bage@debian.org>  Fri, 19 Sep 2025 12:44:28 +0200

pymupdf (1.25.4+ds1-3) unstable; urgency=medium

  * debian/control: require at least python3-mupdf 1.25.1+ds1-6

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 23 Apr 2025 13:08:38 +0200

pymupdf (1.25.4+ds1-2) unstable; urgency=medium

  * Team upload
  * Run tests

 -- Bastian Germann <bage@debian.org>  Tue, 22 Apr 2025 17:23:33 +0200

pymupdf (1.25.4+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.25.4+ds1

 -- Bastian Germann <bage@debian.org>  Tue, 18 Mar 2025 22:42:45 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 Tests: pytests
 Restrictions: allow-stderr
-Depends: python3-fitz,python3-all,python3-pytest,python3-mupdf,python3-psutil
+Depends: python3-fitz,python3-all,python3-pytest,python3-mupdf (>= 1.25.1+ds1-6),python3-psutil

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%PyMuPDF-$1.tar.gz%,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
             https://github.com/pymupdf/PyMuPDF/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pymupdf 1.26.7+ds1

=== debian/changelog ===
pymupdf (1.26.7+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    + Add myself as Uploader
    + Switch to libmupdf-dev 1.27
    + Remove Rules-Requires-Root field
    + Set std-ver to 4.7.3
  * debian/not-installed
    + Exclude upstream build helper files
  * debian/patches
    + Refresh docs patch
    + Add 02_avoid_install_required_packages.diff
      + Disable network access in tests
  * debian/copyright
    + Drop obsolete FSF address
  * debian/watch
    + Update to 5 format
  * debian/rules,debian/tests/pytests
    + Skip a few more tests that aren't reliable in the
      Debian build environments

 -- Daniel Echeverri <epsilon@debian.org>  Mon, 19 Jan 2026 20:22:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Daniel Echeverri <epsilon@debian.org>
 Homepage: https://github.com/pymupdf/PyMuPDF
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymupdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymupdf.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject,
- python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.25),
- swig, python3-mupdf
-Rules-Requires-Root: no
+ python3-all-dev:any, libpython3-all-dev, libmupdf-dev (>= 1.27),
+ swig, python3-mupdf, python3-pytest <!nocheck>, python3-psutil <!nocheck>,
 
 Package: python3-fitz
 Architecture: all
@@ -26,7 +26,7 @@
 
 Package: python3-pymupdf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-mupdf
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-mupdf (>= 1.27.0+ds1-2)
 Description: Python binding for MuPDF
  Allows one to access files in PDF, XPS, OpenXPS, CBZ, EPUB, and FB2 (e-books)
  formats, and it is known for its top performance and high rendering quality.

=== debian/rules ===
#!/usr/bin/make -f

export PYMUPDF_SETUP_MUPDF_BUILD=
export PYMUPDF_SETUP_FLAVOUR=p
export PYMUPDF_SYSINSTALL_TEST=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_TEST_ARGS = --ignore tests/test_codespell.py --ignore tests/test_flake8.py --ignore tests/test_memory.py --ignore tests/test_pylint.py --ignore tests/test_spikes.py --ignore tests/test_tesseract.py --ignore tests/test_textextract.py --ignore tests/test_story.py --ignore tests/test_release.py --ignore tests/test_barcode.py -k 'not test_3050 and not test_textbox3 and not test_subset_fonts and not test_fontarchive and not test_htmlbox1 and not test_color_count and not test_4309 and not test_4309 and not test_3624 and not test_2246 and not test_1645 and not test_pilsave and not test_deletion and not test_open2 and not test_4457 and not test_4533 and not test_4702 and not test_4445 and not test_3493 and not test_3806 and not test_4613 and not test_4392 and not test_4415 and not test_4435'

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+ds\d*$//
Owner: pymupdf
Project: PyMuPDF
Repacksuffix: +ds1
